Subject: Re: bug#55370: [PATCH] Add support for the Syloti Nagri script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Sun, 15 May 2022 19:10:50 +0530

I am sorry but I do not see the problem on my end.
Here they look composed as intended.
I have attached a screenshot, please check whether it matches your output.

On Sun, May 15, 2022 at 11:46 AM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sun, 15 May 2022 05:17:07 +0530
> > Cc: [email-masked]
> >
> > I have updated the patch.
> >
> > 1. Wherever the nasal signs are not in range, I have not included them
> in a composition rule if they appear
> > alone with a character and left them up to composite.el.
> > For eg in Kaithi
> >
> > - ;; Nasal vowels
> > - (concat independent-vowel nasal "?")
> > + ;; Vowel based syllables
> > + (concat independent-vowel nukta "?" virama "?" vowel "?")
> >
> > 2. I have also written composition rules for independent vowels with
> nukta, virama, vowel signs etc, so that
> > Emacs does not hang when they are typed together.
> >
> > Please review the patch.
>
> Thanks.  I installed this, but please review the composition rules,
> because in the Syloti Nagri greeting some characters whose Unicode
> general-category property is Mn, which means they are combining
> characters, don't compose.  That doesn't feel right to me, but I don't
> read this script.  Just go through the greeting with C-f and type
> "C-u C-x =" at every cursor position: you will see some of the
> characters are shown as "combining", but they don't compose with
> surrounding characters.
>
> I didn't look at the other scripts you added, but maybe they, too,
> have similar problems.
>